Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkDecimate::TriArray Class Reference

`#include <vtkDecimate.h>`

Collaboration diagram for vtkDecimate::TriArray:

[legend]
List of all members.

## Public Methods

| TriArray (const vtkIdType sz)
| ~TriArray ()
vtkIdType | GetNumberOfTriangles ()
void | InsertNextTriangle (LocalTri &t)
LocalTri & | GetTriangle (vtkIdType i)
void | Reset ()

## Public Attributes

LocalTri * | Array
vtkIdType | MaxId

## Constructor & Destructor Documentation

vtkDecimate::TriArray::TriArray | ( | const vtkIdType | sz | ) | `[inline]`

| Definition at line 300 of file vtkDecimate.h. References vtkIdType.

vtkDecimate::TriArray::~TriArray | ( |  | ) | `[inline]`

| Definition at line 302 of file vtkDecimate.h.

## Member Function Documentation

vtkIdType vtkDecimate::TriArray::GetNumberOfTriangles | ( |  | ) | `[inline]`

| Definition at line 303 of file vtkDecimate.h. References vtkIdType.

void vtkDecimate::TriArray::InsertNextTriangle | ( | LocalTri & | t | ) | `[inline]`

| Definition at line 304 of file vtkDecimate.h.

LocalTri& vtkDecimate::TriArray::GetTriangle | ( | vtkIdType | i | ) | `[inline]`

| Definition at line 306 of file vtkDecimate.h. References vtkIdType.

void vtkDecimate::TriArray::Reset | ( |  | ) | `[inline]`

| Definition at line 307 of file vtkDecimate.h.

## Member Data Documentation

LocalTri* vtkDecimate::TriArray::Array

| Definition at line 309 of file vtkDecimate.h.

vtkIdType vtkDecimate::TriArray::MaxId

| Definition at line 310 of file vtkDecimate.h.

The documentation for this class was generated from the following file:

- Patented/vtkDecimate.h